import request from '@/utils/request';

class AdminApi {
  constructor() {
    this.basePath = '/admin';
  }

  async deleteAccount(id) {
    return request({
      url: `${this.basePath}/${id}`,
      method: 'DELETE'
    });
  }

  async getAccounts(page, pageSize = 12, name) {
    return request({
      url: `${this.basePath}/page`,
      method: 'GET',
      params: {
        page,
        pageSize,
        ...(name && { name })
      }
    });
  }

  async updateAccountStatus(status, id) {
    return request({
      url: `${this.basePath}/status/${status}`,
      method: 'POST',
      params: { id }
    });
  }

  // 你可以继续添加其他方法...
}

const adminApi = new AdminApi();

export const deleteAccount = (id) => adminApi.deleteAccount(id);
export const getAccounts = (page, pageSize, name) => adminApi.getAccounts(page, pageSize, name);
export const updateAccountStatus = (status, id) => adminApi.updateAccountStatus(status, id);

export default adminApi;
