import request from '@/utils/request';

class OpenApi {
  constructor() {
    this.basePath = '/open';
  }

  async getAwards(page, pageSize = 12, name, teacherId) {
    return request({
      url: `${this.basePath}/awards/page`,
      method: 'GET',
      params: {
        page,
        pageSize,
        ...(name && { name }),
        ...(teacherId && { teacherId })
      },
    });
  }

  

  async getHomepageData(page, pageSize = 12, name) {
    return request({
      url: `${this.basePath}/page`,
      method: 'GET',
      params: {
        page,
        pageSize,
        ...(name && { name }),
      },
    });
  }

  async getThesisPage(page, pageSize = 12, name, teacherId) {
    return request({
      url: `${this.basePath}/thesis/page`,
      method: 'GET',
      params: {
        page,
        pageSize,
        ...(name && { name }),
        ...(teacherId && { teacherId })
      },
    });
  }

  async getWorksPage(page, pageSize = 12, name, teacherId) {
    return request({
      url: `${this.basePath}/work/page`,
      method: 'GET',
      params: {
        page,
        pageSize,
        ...(name && { name }),
        ...(teacherId && { teacherId })
      },
    });
  }
}

const openApi = new OpenApi();

export const getAwards = (page, pageSize = 12, name, teacherId) => openApi.getAwards(page, pageSize, name, teacherId);
export const getHomepageData = (page, pageSize, name) => openApi.getHomepageData(page, pageSize, name);
export const getThesisPage = (page, pageSize = 12, name, teacherId) => openApi.getThesisPage(page, pageSize, name, teacherId);
export const getWorksPage = (page, pageSize = 12, name, teacherId) => openApi.getWorksPage(page, pageSize, name, teacherId);

export default openApi;
