import { ref } from 'vue'

export function useSearch(searchFunction, delay = 300) {
  const searchQuery = ref('')
  let timeoutId = null

  const handleSearch = () => {
    clearTimeout(timeoutId)
    timeoutId = setTimeout(() => {
      searchFunction(searchQuery.value)
    }, delay)
  }

  return {
    searchQuery,
    handleSearch,
  }
}