// store/index.js

import { createPinia } from 'pinia';

// 导入各个模块的 store
import { useAuthStore } from './modules/auth';
import { useTeachersStore } from './modules/teachers';
import { useFilesStore } from './modules/files';

// 创建 pinia 实例
const pinia = createPinia();

// 导出 pinia 实例
export default pinia;

// 导出各个模块的 store 以便在组件中使用
export { useAuthStore, useTeachersStore, useFilesStore };