export const required = (value) => !!value || '此字段是必填的'

export const email = (value) => {
  const pattern = /^[^\s@]+@[^\s@]+\.[^\s@]+$/
  return pattern.test(value) || '请输入有效的电子邮件地址'
}

export const minLength = (min) => (value) => {
  return value.length >= min || `最少需要 ${min} 个字符`
}

export const phoneNumber = (value) => {
  const pattern = /^1[3-9]\d{9}$/
  return pattern.test(value) || '请输入有效的手机号码'
}

export const passwordMatch = (password, confirmPassword) => {
  return password === confirmPassword || '两次输入的密码不一致'
}